glab(1)

NAME

glab-issue-create - Create an issue

SYNOPSIS

glab issue create [flags]

DESCRIPTION

Create an issue

OPTIONS

-a, --assignee=[]
    Assign issue to people by their usernames

-c, --confidential[=false]
    Set an issue to be confidential. (default false)

-d, --description=""
    Supply a description for issue

-l, --label=[]
    Add label by name. Multiple labels should be comma separated

--link-type="relates_to"
    Type for the issue link

--linked-issues=[]
    The IIDs of issues that this issue links to

--linked-mr=0
    The IID of a merge request in which to resolve all issues

-m, --milestone=""
    The global ID or title of a milestone to assign

--no-editor[=false]
    Don't open editor to enter description. If set to true, uses prompt. (default false)

--recover[=false]
    Save the options to a file if the issue fails to be created. If the file exists, the options will be loaded from the recovery file (EXPERIMENTAL)

-e, --time-estimate=""
    Set time estimate for the issue

-s, --time-spent=""
    Set time spent for the issue

-t, --title=""
    Supply a title for issue

--web[=false]
    continue issue creation with web interface

-w, --weight=0
    The weight of the issue. Valid values are greater than or equal to 0.

-y, --yes[=false]
    Don't prompt for confirmation to submit the issue

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

EXAMPLE

    glab issue create
    glab issue new
    glab issue create -m release-2.0.0 -t "we need this feature" --label important
    glab issue new -t "Fix CVE-YYYY-XXXX" -l security --linked-mr 123
    glab issue create -m release-1.0.1 -t "security fix" --label security --web --recover

SEE ALSO

glab-issue(1)